# $Revision: 1.9 $, $Date: 2006/01/27 02:38:58 $
Summary:	KBiff - Mail notification utility
Summary(pl):	Wskanik skrzynki pocztowej dla kde
Name:		kbiff
Version:	3.8
Release:	4
License:	GPL
Group:		X11/Applications
Source0:	http://dl.sourceforge.net/kbiff/%{name}-%{version}.tar.bz2
# Source0-md5:	97d9f7e24d4928a602f1c89d7ff18755
Patch0:		%{name}.desktop.patch
URL:		http://kbiff.granroth.org/
BuildRequires:	automake
BuildRequires:	kdelibs-devel
BuildRequires:	rpmbuild(macros) >= 1.129
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
An "xbiff"-like mail notification utility. Has multiple pixmaps,
session management, and GUI configuration. Can "dock" into KDE panel.
Can display animated gifs, play system sounds, or run arbitrary shell
command when new mail arrives. Supports mbox, maildir, mh, POP3,
IMAP4, and NNTP mailboxes. Has capability to monitor multiple
mailboxes with one instance. Supports SSL.

%description -l pl
Kbiff jest podobnym do xbiff programem do informowania o nowej
poczcie. Posiada wiele obrazkw i zarzdc sesji oraz jest
konfigurowalny przy uyciu GUI. Dodatkowo moe by zadokowany w panelu
KDE oraz wywietla animowane gify, odgrywa dwiki systemowe lub
uruchamia odpowiedni komend w powoce, gdy nadejdzie nowa poczta.
Obsuguje skrzynki pocztowe w formatach: mbox, maildir, mh, POP3,
IMAP4 oraz NNTP. Ma moliwo monitorowania wielu kont na raz.
Dodatkowo obsuguje SSL.

%prep
%setup -q
%patch0 -p1

%build
cp -f /usr/share/automake/config.sub admin
%configure \
	--disable-debug \
	--enable-final

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install-strip \
	DESTDIR=$RPM_BUILD_ROOT \
	kde_htmldir=%{_kdedocdir} \
	kde_libs_htmldir=%{_kdedocdir} \
	appsdir=%{_desktopdir}

mv $RPM_BUILD_ROOT%{_iconsdir}/{l,L}ocolor
mv -f $RPM_BUILD_ROOT%{_datadir}/locale/{no,nb}
mv -f $RPM_BUILD_ROOT%{_datadir}/locale/{no_NY,nn}
mv -f $RPM_BUILD_ROOT%{_datadir}/locale/zh_TW{.Big5,}

%find_lang %{name} --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/%{name}
%attr(755,root,root) %{_libdir}/%{name}.so
%{_libdir}/%{name}.la
%{_desktopdir}/%{name}.desktop
%{_datadir}/apps/%{name}
%{_iconsdir}/*/*/apps/%{name}.png
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: kbiff.spec,v $
Revision 1.9  2006/01/27 02:38:58  ankry
- better locolor icons fix

Revision 1.8  2006/01/27 02:19:38  ankry
- kill unsupported localor icons

Revision 1.7  2006/01/23 22:45:13  ankry
- one more desktop fix, rel. 4

Revision 1.6  2006/01/22 11:26:15  ankry
- updated desktop patch, rel. 3, STBR

Revision 1.5  2005/12/30 23:38:08  ankry
- locale fixes, rel. 2

Revision 1.4  2005/11/26 15:18:50  darekr
- 1.129 macros for _kdedocdir

Revision 1.3  2005/11/25 00:09:27  qboosh
- docs cleanup, .so perms

Revision 1.2  2005/11/25 00:02:39  qboosh
- pl fixes, cleanups

Revision 1.1  2005/11/22 10:48:31  undefine
- new by wopozka@gazeta.pl
